﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.DataImporter.Command.View {
  public partial class SearchCommandView : HeuristicLab.DataImporter.Data.CommandBase.CommandViewBase {
    public SearchCommandView() :base() {
      InitializeComponent();
      txtSearchValue.Text = "0";
    }

    public SearchCommandView(SearchCommandBase command) {
      this.Command = command;
    }

    public new SearchCommandBase Command {
      get { return (SearchCommandBase)base.Command; }
      set { base.Command = value; this.UpdateCommand(); }
    }

    public string SearchValue {
      get { return this.Command.SearchValue; }
    }

    private void txtSearchValue_TextChanged(object sender, System.EventArgs e) {
      this.UpdateCommand();
    }

    private void UpdateCommand() {
      if (this.Command != null) 
        this.Command.SearchValue = this.txtSearchValue.Text;
    }
  }
}
